---
apiVersion: v1
kind: Service
metadata:
  name: contextservice-public
  labels:
    app: contextservice
spec:
  type: NodePort
  selector:
    app: contextservice
  ports:
  - name: grpc
    protocol: TCP
    port: 1010
    targetPort: 1010
  - name: http
    protocol: TCP
    port: 8080
    targetPort: 8080
    nodePort: 30808
---
apiVersion: v1
kind: Service
metadata:
  name: redis-tests
  labels:
    app: contextservice
spec:
  type: NodePort
  selector:
    app: contextservice
  ports:
  - name: redis
    protocol: TCP
    port: 6379
    targetPort: 6379
---
apiVersion: v1
kind: Service
metadata:
  name: influx-tests
  labels:
    app: monitoringservice
spec:
  type: NodePort
  selector:
    app: monitoringservice
  ports:
  - name: influx
    protocol: TCP
    port: 8086
    targetPort: 8086
---
apiVersion: v1
kind: Service
metadata:
  name: deviceservice-public
  labels:
    app: deviceservice
spec:
  type: NodePort
  selector:
    app: deviceservice
  ports:
  - name: grpc
    protocol: TCP
    port: 2020
    targetPort: 2020
---
apiVersion: v1
kind: Service
metadata:
  name: computeservice-public
  labels:
    app: computeservice
spec:
  type: NodePort
  selector:
    app: computeservice
  ports:
  - name: http
    protocol: TCP
    port: 8080
    targetPort: 8080
  - name: grpc
    protocol: TCP
    port: 9090
    targetPort: 9090
---